View Issue Details

IDProjectCategoryView StatusLast Update
0004318FreeCADPatchpublic2020-07-02 18:04
Reporteralexandref75 Assigned Towmayer  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Fixed in Version0.19 
Summary0004318: Compilation fails with QT 5.15 beta with QPainterPath errors
DescriptionQt 5.15 requires that QPainterPath include files to be included whenever QPainterPath is used.
Steps To ReproduceCompile with qt 5.15 (beta versions also fail)
Tags#post-to-forum, Qt5
FreeCAD InformationOS: Gentoo/Linux (KDE//usr/share/xsessions/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.20639 (Git)
Build type: Release
Branch: (HEAD detached at refs/git-r3/HEAD)
Hash: 45aef7b028a54c5420db49ff3284fc7377475e90
Python version: 3.6.10
Qt version: 5.15.0
Coin version: 4.0.0a
OCC version: 6.9.1.oce-0.18
Locale: English/United States (en_US)

Activities

alexandref75

2020-04-20 00:58

reporter  

freecad-9999-qt-5.15.patch (7,707 bytes)   
--- freecad-9999/src/Mod/Sandbox/Gui/Command.cpp.old	2020-04-19 17:43:57.913969226 -0500
+++ freecad-9999/src/Mod/Sandbox/Gui/Command.cpp	2020-04-19 17:44:26.121760532 -0500
@@ -45,6 +45,7 @@
 # include <QImage>
 # include <QImageReader>
 # include <QPainter>
+# include <QPainterPath>
 # include <QThread>
 # include <Inventor/nodes/SoAnnotation.h>
 # include <Inventor/nodes/SoImage.h>
--- freecad-9999/src/Mod/TechDraw/Gui/QGEPath.cpp.old	2020-04-19 17:43:57.913969226 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGEPath.cpp	2020-04-19 17:44:37.897673409 -0500
@@ -27,6 +27,7 @@
 #include <QKeyEvent>
 #include <QMouseEvent>
 #include <QPainter>
+#include <QPainterPath>
 #include <QPainterPathStroker>
 #include <QStyleOptionGraphicsItem>
 #include <QVector2D>
--- freecad-9999/src/Mod/TechDraw/Gui/QGIArrow.cpp.old	2020-04-19 17:43:57.917969195 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIArrow.cpp	2020-04-19 17:44:48.761593032 -0500
@@ -30,6 +30,7 @@
 #include <QStyleOptionGraphicsItem>
 #include <QPainterPathStroker>
 #include <QPainter>
+#include <QPainterPath>
 #endif
 
 #include <App/Application.h>
--- freecad-9999/src/Mod/TechDraw/Gui/QGICenterLine.cpp.old	2020-04-19 17:43:57.917969195 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGICenterLine.cpp	2020-04-19 17:44:56.861533106 -0500
@@ -23,6 +23,7 @@
 #include "PreCompiled.h"
 #ifndef _PreComp_
 #include <QPainter>
+#include <QPainterPath>
 #include <QStyleOptionGraphicsItem>
 #endif
 
--- freecad-9999/src/Mod/TechDraw/Gui/QGICMark.cpp.old	2020-04-19 17:43:57.917969195 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGICMark.cpp	2020-04-19 17:45:04.577476019 -0500
@@ -27,6 +27,7 @@
 #include <QGraphicsSceneHoverEvent>
 #include <QMouseEvent>
 #include <QPainter>
+#include <QPainterPath>
 #include <QStyleOptionGraphicsItem>
 #endif
 
--- freecad-9999/src/Mod/TechDraw/Gui/QGIDimLines.cpp.old	2020-04-19 17:43:57.921969167 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIDimLines.cpp	2020-04-19 17:45:14.029406085 -0500
@@ -30,6 +30,7 @@
 #include <QStyleOptionGraphicsItem>
 #include <QPainterPathStroker>
 #include <QPainter>
+#include <QPainterPath>
 #endif
 
 #include <App/Application.h>
--- freecad-9999/src/Mod/TechDraw/Gui/QGIDrawingTemplate.cpp.old	2020-04-19 17:43:57.921969167 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIDrawingTemplate.cpp	2020-04-19 17:45:22.145346018 -0500
@@ -30,6 +30,7 @@
 # include <QMessageBox>
 # include <QMouseEvent>
 # include <QPainter>
+# include <QPainterPath>
 #endif
 
 #include <App/Document.h>
--- freecad-9999/src/Mod/TechDraw/Gui/QGIEdge.cpp.old	2020-04-19 17:43:57.921969167 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIEdge.cpp	2020-04-19 17:45:29.733289879 -0500
@@ -26,6 +26,7 @@
 #include <QGraphicsScene>
 #include <QMouseEvent>
 #include <QPainter>
+#include <QPainterPath>
 #include <QPainterPathStroker>
 #include <QStyleOptionGraphicsItem>
 #endif
--- freecad-9999/src/Mod/TechDraw/Gui/QGIFace.cpp.old	2020-04-19 17:43:57.925969136 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIFace.cpp	2020-04-19 17:45:37.821230041 -0500
@@ -29,6 +29,7 @@
 #include <QMouseEvent>
 #include <QPainterPathStroker>
 #include <QPainter>
+#include <QPainterPath>
 #include <QStyleOptionGraphicsItem>
 #include <QBitmap>
 #include <QFile>
--- freecad-9999/src/Mod/TechDraw/Gui/QGILeaderLine.cpp.old	2020-04-19 17:43:57.925969136 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGILeaderLine.cpp	2020-04-19 17:45:45.633172245 -0500
@@ -33,6 +33,7 @@
 #include <QGraphicsScene>
 #include <QGraphicsSceneMouseEvent>
 #include <QPainter>
+#include <QPainterPath>
 #include <QPaintDevice>
 #include <QSvgGenerator>
 #include <QVector2D>
--- freecad-9999/src/Mod/TechDraw/Gui/QGIMatting.cpp.old	2020-04-19 17:43:57.925969136 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIMatting.cpp	2020-04-19 17:45:54.269108352 -0500
@@ -24,6 +24,7 @@
 #ifndef _PreComp_
 #include <assert.h>
 #include <QPainter>
+#include <QPainterPath>
 #include <QStyleOptionGraphicsItem>
 #endif
 
--- freecad-9999/src/Mod/TechDraw/Gui/QGIRichAnno.cpp.old	2020-04-19 17:43:57.929969107 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIRichAnno.cpp	2020-04-19 17:46:02.933044253 -0500
@@ -34,6 +34,7 @@
 #include <QGraphicsSceneMouseEvent>
 #include <QGraphicsItem>
 #include <QPainter>
+#include <QPainterPath>
 #include <QPaintDevice>
 #include <QSvgGenerator>
 #include <QRegExp>
--- freecad-9999/src/Mod/TechDraw/Gui/QGISectionLine.cpp.old	2020-04-19 17:43:57.929969107 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGISectionLine.cpp	2020-04-19 17:46:10.780986190 -0500
@@ -23,6 +23,7 @@
 #include "PreCompiled.h"
 #ifndef _PreComp_
 #include <QPainter>
+#include <QPainterPath>
 #include <QPainterPathStroker>
 #include <QStyleOptionGraphicsItem>
 #endif
--- freecad-9999/src/Mod/TechDraw/Gui/QGIVertex.cpp.old	2020-04-19 17:43:57.929969107 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIVertex.cpp	2020-04-19 17:46:17.984932892 -0500
@@ -27,6 +27,7 @@
 #include <QGraphicsSceneHoverEvent>
 #include <QMouseEvent>
 #include <QPainter>
+#include <QPainterPath>
 #include <QStyleOptionGraphicsItem>
 #endif
 
--- freecad-9999/src/Mod/TechDraw/Gui/QGIViewBalloon.cpp.old	2020-04-19 17:43:57.929969107 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIViewBalloon.cpp	2020-04-19 17:46:26.880867075 -0500
@@ -34,6 +34,7 @@
   # include <QGraphicsScene>
   # include <QGraphicsSceneMouseEvent>
   # include <QPainter>
+  # include <QPainterPath>
   # include <QPaintDevice>
   # include <QSvgGenerator>
   # include <QApplication>
--- freecad-9999/src/Mod/TechDraw/Gui/QGIViewDimension.cpp.old	2020-04-19 17:43:57.933969077 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIViewDimension.cpp	2020-04-19 17:46:35.148805906 -0500
@@ -39,6 +39,7 @@
   # include <QGraphicsScene>
   # include <QGraphicsSceneMouseEvent>
   # include <QPainter>
+  # include <QPainterPath>
   # include <QPaintDevice>
   # include <QSvgGenerator>
 
--- freecad-9999/src/Mod/TechDraw/Gui/QGIViewPart.cpp.old	2020-04-19 17:43:57.933969077 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIViewPart.cpp	2020-04-19 17:46:43.724742456 -0500
@@ -33,6 +33,7 @@
 #include <QGraphicsSceneHoverEvent>
 #include <QPainterPathStroker>
 #include <QPainter>
+#include <QPainterPath>
 #include <QTextOption>
 #include <QBitmap>
 #include <QImage>
--- freecad-9999/src/Mod/TechDraw/Gui/QGIViewSection.cpp.old	2020-04-19 17:43:57.933969077 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIViewSection.cpp	2020-04-19 17:46:52.884674688 -0500
@@ -34,6 +34,7 @@
 #include <QGraphicsSceneHoverEvent>
 #include <QPainterPathStroker>
 #include <QPainter>
+#include <QPainterPath>
 #include <QTextOption>
 #endif
 
--- freecad-9999/src/Mod/TechDraw/Gui/QGIWeldSymbol.cpp.old	2020-04-19 17:43:57.933969077 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGIWeldSymbol.cpp	2020-04-19 17:47:01.440611387 -0500
@@ -32,6 +32,7 @@
 
   # include <QGraphicsScene>
   # include <QPainter>
+  # include <QPainterPath>
   # include <QPaintDevice>
   # include <QSvgGenerator>
 
--- freecad-9999/src/Mod/TechDraw/Gui/QGTracker.cpp.old	2020-04-19 17:43:57.937969048 -0500
+++ freecad-9999/src/Mod/TechDraw/Gui/QGTracker.cpp	2020-04-19 17:47:11.952533615 -0500
@@ -29,6 +29,7 @@
 #include <QEvent>
 #include <QMouseEvent>
 #include <QPainter>
+#include <QPainterPath>
 #include <QPainterPathStroker>
 #include <QStyleOptionGraphicsItem>
 #include <QKeyEvent>
--- freecad-9999/src/Mod/Image/Gui/OpenGLImageBox.cpp.old	2020-04-19 18:33:47.786996122 -0500
+++ freecad-9999/src/Mod/Image/Gui/OpenGLImageBox.cpp	2020-04-19 18:33:57.834924597 -0500
@@ -26,6 +26,7 @@
 # include <QSurfaceFormat>
 # include <QMessageBox>
 # include <QPainter>
+# include <QPainterPath>
 #endif
 
 #if defined(__MINGW32__)
freecad-9999-qt-5.15.patch (7,707 bytes)   

Kunda1

2020-04-22 11:20

administrator   ~0014361

@alexandref75 Thank you for the patch. Care to discuss this on the forum ? Also do you have a github account? It's more convenient to review code there then in the tracker and forum. But if not, then that's OK.

alexandref75

2020-04-24 23:29

reporter   ~0014372

I have a github account. I can create a pull request if it is easier.

wmayer

2020-07-02 11:20

administrator   ~0014610

https://github.com/FreeCAD/FreeCAD/commit/da6b379566f0e5369b8b22e958607da8ab4de7f1

wmayer

2020-07-02 18:04

administrator   ~0014613

Fix committed to master branch.

Related Changesets

FreeCAD: master da6b3795

2020-07-02 11:19:43

wmayer

Details Diff
fixes 0004318: Compilation fails with Qt 5.15 beta with QPainterPath errors [skip ci] Affected Issues
0004318
mod - src/Mod/Sandbox/Gui/Command.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGEPath.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIArrow.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGICMark.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGICenterLine.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIDimLines.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIDrawingTemplate.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIEdge.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIFace.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGILeaderLine.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIMatting.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIRichAnno.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGISectionLine.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIVertex.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIViewBalloon.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIViewDimension.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIViewPart.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIViewSection.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIWeldSymbol.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGTracker.cpp Diff File

Issue History

Date Modified Username Field Change
2020-04-20 00:58 alexandref75 New Issue
2020-04-20 00:58 alexandref75 Tag Attached: Qt5
2020-04-20 00:58 alexandref75 File Added: freecad-9999-qt-5.15.patch
2020-04-22 11:20 Kunda1 Status new => feedback
2020-04-22 11:20 Kunda1 Note Added: 0014361
2020-04-22 11:26 Kunda1 Tag Attached: #post-to-forum
2020-04-24 23:29 alexandref75 Note Added: 0014372
2020-04-24 23:29 alexandref75 Status feedback => new
2020-07-02 11:20 wmayer Assigned To => wmayer
2020-07-02 11:20 wmayer Status new => closed
2020-07-02 11:20 wmayer Resolution open => fixed
2020-07-02 11:20 wmayer Fixed in Version => 0.19
2020-07-02 11:20 wmayer Note Added: 0014610
2020-07-02 18:04 wmayer Changeset attached => FreeCAD master da6b3795
2020-07-02 18:04 wmayer Note Added: 0014613